## ros-melodic-turtle-teleop-multi-key 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(turtle_teleop_multi_key)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy
  geometry_msgs
)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS rospy geometry_msgs
)

###########
## Build ##
###########

#############
## Install ##
#############
## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
catkin_install_python(PROGRAMS
  scripts/turtle_teleop_multi_key
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-melodic-turtle-teleop-multi-key (0.0.4-3stretch) stretch; urgency=high

  * fix launch file path
  * generalize python code
  * add documentation url
  * Contributors: EngHyu

 -- EngHyu <roomedia@naver.com>  Fri, 21 Aug 2020 00:00:00 -0000

ros-melodic-turtle-teleop-multi-key (0.0.3-3stretch) stretch; urgency=high

  * run only in python2
  * Contributors: EngHyu

 -- EngHyu <roomedia@naver.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-melodic-turtle-teleop-multi-key (0.0.2-3stretch) stretch; urgency=high

  * change name with more explain
  * Contributors: EngHyu

 -- EngHyu <roomedia@naver.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-melodic-turtle-teleop-multi-key (0.0.1-3stretch) stretch; urgency=high

  * fix node name...
  * make launch file
  * multi-input trial
  * add MIT license
  * initial state: copy from ROBOTIS-GIT/turtlebot3/turtlebot3_teleop_key
  * Contributors: EngHyu

 -- EngHyu <roomedia@naver.com>  Sun, 26 Jul 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-turtle-teleop-multi-key
Section: misc
Priority: optional
Maintainer: EngHyu <roomedia@naver.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-rospy
Homepage: https://wiki.ros.org/turtle_teleop_multi_key
Standards-Version: 3.9.2

Package: ros-melodic-turtle-teleop-multi-key
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-rospy
Description: Provides teleoperation using multi-key input for Turtlesim/Turtlebot3.
